netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_filedir_parms Struct Reference

`#include <afpclient.h>`

## Data Fields
int | isdir
uint16_t | bitmap
uint16_t | attr
uint16_t | vid
uint32_t | pdid
uint32_t | did
uint32_t | bdate
uint32_t | mdate
uint32_t | cdate
uint32_t | dflen
uint32_t | rflen
uint64_t | ext_dflen
uint64_t | ext_rflen
uint16_t | offcnt
uint32_t | uid
uint32_t | gid
uint32_t | unix_priv
uint8_t | access [4]
uint8_t | pdinfo [6]
char | finder_info [32]
int | name_type
char * | lname
char * | sname
char * | utf8_name

## Field Documentation

## ◆ access

uint8_t afp_filedir_parms::access[4]

Access bits

## ◆ attr

uint16_t afp_filedir_parms::attr

## ◆ bdate

uint32_t afp_filedir_parms::bdate

## ◆ bitmap

uint16_t afp_filedir_parms::bitmap

Parameters already taken from svr

## ◆ cdate

uint32_t afp_filedir_parms::cdate

## ◆ dflen

uint32_t afp_filedir_parms::dflen

## ◆ did

uint32_t afp_filedir_parms::did

## ◆ ext_dflen

uint64_t afp_filedir_parms::ext_dflen

## ◆ ext_rflen

uint64_t afp_filedir_parms::ext_rflen

## ◆ finder_info

char afp_filedir_parms::finder_info[32]

## ◆ gid

uint32_t afp_filedir_parms::gid

## ◆ isdir

int afp_filedir_parms::isdir

## ◆ lname

char* afp_filedir_parms::lname

## ◆ mdate

uint32_t afp_filedir_parms::mdate

## ◆ name_type

int afp_filedir_parms::name_type

## ◆ offcnt

uint16_t afp_filedir_parms::offcnt

## ◆ pdid

uint32_t afp_filedir_parms::pdid

## ◆ pdinfo

uint8_t afp_filedir_parms::pdinfo[6]

ProDOS info...

## ◆ rflen

uint32_t afp_filedir_parms::rflen

## ◆ sname

char* afp_filedir_parms::sname

## ◆ uid

uint32_t afp_filedir_parms::uid

## ◆ unix_priv

uint32_t afp_filedir_parms::unix_priv

## ◆ utf8_name

char* afp_filedir_parms::utf8_name

## ◆ vid

uint16_t afp_filedir_parms::vid

The documentation for this struct was generated from the following file:

- afpclient.h